import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToCitizenCLSensorType Converter")

class GenericToCitizenCLSensorType(Converter):

	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = "NONE"
		elif myList[0] == "Gap":
			res = "SEE THROUGH"
		elif myList[0] == "Mark":
			res = "REFLECT"
		return res




plugin = GenericToCitizenCLSensorType("GenericToCitizenCLSensorType")

store.AddConverter(plugin)